MongoGridFS::remove
MongoGridFS::storeFile
MongoGridFS
PHP Manual

# MongoGridFS::storeBytes

(PECL mongo >=0.9.2)

MongoGridFS::storeBytes — Morcelle et stocke des octets dans une base

### Description

public mixed MongoGridFS::storeBytes ( string `$bytes` [, array `$extra` = array() [, array `$options` = array() ]] )

### Liste de paramètres

`bytes`

  Une chaîne d'octets à stocker.

`extra`

  Autres méta-données à ajouter au fichier à sauver.

`options`

  Options pour le stockage.

  - "safe"

    Vérifie si le stockage a réussi.

### Valeurs de retour

Retourne l'identifiant de l'objet sauvegardé.

### Erreurs / Exceptions

Lance une exception MongoCursorException si l'option "safe" est définie et que l'insertion échoue.

MongoGridFS::remove
MongoGridFS::storeFile
MongoGridFS
PHP Manual